FROM openshift/golang-builder:rhel_8_golang_1.16 AS builder
ENV __doozer=update BUILD_RELEASE=202111151318.p0.g266597b.assembly.stream BUILD_VERSION=v4.9.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=9 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.9.0-202111151318.p0.g266597b.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=266597b OS_GIT_VERSION=4.9.0-202111151318.p0.g266597b.assembly.stream-266597b SOURCE_DATE_EPOCH=1629143925 SOURCE_GIT_COMMIT=266597b3c75fcbaf6441ef4acd1f235f74a0f305 SOURCE_GIT_TAG=266597b SOURCE_GIT_URL=https://github.com/openshift/mdns-publisher 
WORKDIR /go/src/github.com/openshift/mdns-publisher
COPY . .
RUN GO111MODULE=on go build --mod=vendor

FROM openshift/ose-base:v4.9.0.20211115.131845
ENV __doozer=update BUILD_RELEASE=202111151318.p0.g266597b.assembly.stream BUILD_VERSION=v4.9.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=9 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.9.0-202111151318.p0.g266597b.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=266597b OS_GIT_VERSION=4.9.0-202111151318.p0.g266597b.assembly.stream-266597b SOURCE_DATE_EPOCH=1629143925 SOURCE_GIT_COMMIT=266597b3c75fcbaf6441ef4acd1f235f74a0f305 SOURCE_GIT_TAG=266597b SOURCE_GIT_URL=https://github.com/openshift/mdns-publisher 
COPY --from=builder /go/src/github.com/openshift/mdns-publisher/mdns-publisher /usr/bin/

ENTRYPOINT ["/usr/bin/mdns-publisher"]

LABEL \
        io.k8s.display-name="mDNS-publisher" \
        io.k8s.description="Configurable mDNS service publisher" \
        maintainer="Antoni Segura Puimedon <antoni@redhat.com>" \
        name="openshift/ose-mdns-publisher" \
        com.redhat.component="ose-mdns-publisher-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Networking" \
        io.openshift.maintainer.subcomponent="mDNS" \
        release="202111151318.p0.g266597b.assembly.stream" \
        io.openshift.build.commit.id="266597b3c75fcbaf6441ef4acd1f235f74a0f305" \
        io.openshift.build.source-location="https://github.com/openshift/mdns-publisher" \
        io.openshift.build.commit.url="https://github.com/openshift/mdns-publisher/commit/266597b3c75fcbaf6441ef4acd1f235f74a0f305" \
        version="v4.9.0"

